import numpy as np
from schenk_brandeberger_S1_Aufg2 import schenk_brandeberger_Aufg2, plot_function, showPlot

if __name__ == "__main__":
    #coefficients_task_1 = np.array([-105, 29, 110, -30, -5, 1]) #falsches Format
    #coefficients_task_1 = np.array([[-105, 29, 110, -30, -5, 1]])  #Zeilenvektor
    coefficients_task_1 = np.array([[-105], [29], [110], [-30], [-5], [1]]) #Spalten Vektor
    xmin = -10
    xmax = 10
    [x,p,dp,pint] = schenk_brandeberger_Aufg2(coefficients_task_1, xmin, xmax)

    print("x:\n", x)
    print("p:\n", p)
    print("dp:\n", dp)
    print("pint:\n", pint)

    plot_function(x, p, 'f(x)')
    plot_function(x, dp, 'f\'(x)')
    plot_function(x, pint, 'F(x)')

    showPlot(xmin, xmax, abs(xmax/100.0))